<< armcov | FOSSEE_Signal_Processing_Toolbox | autoreg_matrix >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > aryule

# aryule

Fit an AR (p)-model with Yule-Walker estimates.

### Syntax

    a = aryule(x, p)
    [a, v] = aryule(x, p)
    [a, v, k] = aryule(x, p)

### Parameters

x:

  Vector of real or complex numbers, length > 2.

p:

  Positive integer value < length(x) - 1.

a:

  AR coefficients.

v:

  Variance of the white noise.

k:

  Reflection coefficients to be used in the lattice filter.

### Description

This function fits an AR (p)-model with Yule-Walker estimates. The first argument is the data vector to be estimated.

### Examples

    aryule([1, 2, 3, 4, 5], 2)

Report an issue
<< armcov | FOSSEE_Signal_Processing_Toolbox | autoreg_matrix >>